Package org.linphone.core

# Enum Class MediaFileFormat

java.lang.Object
java.lang.Enum<MediaFileFormat>
org.linphone.core.MediaFileFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<MediaFileFormat>`, `Constable`

public enum MediaFileFormat extends Enum<MediaFileFormat>
Enum representing the file format of a recording.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Mkv`
invalid input: '<' WAVE file format, .wav file extension.
`Smff`
invalid input: '<' Standard Matroska file format, supports video, .mkv or .mka file extension.
`Unknown`
`Wav`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static MediaFileFormat`
`fromInt(int value)`
`protected static MediaFileFormat[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(MediaFileFormat[] values)`
`static MediaFileFormat`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MediaFileFormat[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Unknown

public static final MediaFileFormat Unknown

### Wav

public static final MediaFileFormat Wav

### Mkv

public static final MediaFileFormat Mkv
invalid input: '<' WAVE file format, .wav file extension.

### Smff

public static final MediaFileFormat Smff
invalid input: '<' Standard Matroska file format, supports video, .mkv or .mka file extension.
invalid input: '<' Simple Multimedia File Format, a proprietary format that supports video,
.smff file extension.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static MediaFileFormat[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MediaFileFormat valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static MediaFileFormat fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static MediaFileFormat[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(MediaFileFormat[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()